<?php
defined( 'ABSPATH' ) or die();
require_once( WL_AGM_LITE_PLUGIN_DIR_PATH . 'admin/inc/helpers/WL_AGM_LITE_Helper.php' );
?>

<div class="container-fluid wl_agm_container">
    <!-- row 1 -->
    <div class="product_header wl-agm_plugin_top col-md-12">
        <div class="col-md-8 col-xs-6 product_header_desc">
            <div class="product_name wl-agm-title-plugin"><?php esc_html_e( 'IS-Google Maps Lite', WL_AGM_LITE_DOMAIN ) ?>
                <span class="fc-badge"><?php echo esc_html( WL_AGM_LITE_Helper::get_plugin_version() ); ?></span></div>
        </div>

    </div>
    <!-- end - row 1 -->

    <!-- Help -->
    <div class="wl_agm_lite_help col-md-12">
    	<div class="row">
		    <div class="wl-agm_settings col-md-9">
		        <div class="col-md-12 col-xs-12 wl-agm-setting-title">
		            <div class="product_name wl-agm-title-setting"><?php esc_html_e( 'How To Configure', WL_AGM_LITE_DOMAIN ) ?></div>
		        </div>
		        <div class="col-md-12 col-xs-12 wl_agm_steps">
		        	<h4 class="title"><?php esc_html_e( 'Step 1 : Insert Google Map API Key', WL_AGM_LITE_DOMAIN ) ?></h4>
		        	<p><?php esc_html_e( '1. Go to Advance Google Map Lite->Settings->Google Maps API Key', WL_AGM_LITE_DOMAIN ) ?></p>
		        	<p><?php esc_html_e( '2. Here, you have to enter Google Map API first to use this plugin’s features. if you have a key then insert it. If you don’t have any key, then you can create a key from here ', WL_AGM_LITE_DOMAIN ) ?> <a href="https://developers.google.com/maps/documentation/javascript/get-api-key"><?php esc_html_e( 'Google Map API', WL_AGM_LITE_DOMAIN ) ?></a>. </p>
					<p><?php esc_html_e( 'Here, you can also select map language to display map in that language.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 2 : Insert Single Location Map', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. Go to Advance Google Map Lite->Location->Add New', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '2. Then have to enter location in search field which displays on map preview, after you entered location it shows suggestions then select one, it find “Latitude” and “Longitude” automatically.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 3 : Insert Multi Location Map', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. Go to Advance Google Map Lite->Map->Add New', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '2. To initiate this map you have to enter “Center Location” first, its mandatory field. Center location its a location which shows first on map load, you can also customize it( InfoWindow, Location, Click Action, Marker ).', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '3. To show multiple locations go to “Choose Locations”, here you have list of locations which you create in “Single Location Maps” to add these location just click on each locations which you want to display then update/publish it. It will display on map as multi locations.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 4 : Insert Route Map', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. Go to Advance Google Map Lite->Route->Add New<', WL_AGM_LITE_DOMAIN ) ?>/p>
					<p><?php esc_html_e( '2. To initiate this map you have to enter “Center Location” first, its mandatory field.', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '3. Then enter start location and destination location. then it shows route directions from one location to another with comprehensive data and real-time traffic.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 5 : Insert Interactive Map', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. Go to Advance Google Map Lite->Interactive->Add New', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '2. Just select “Region” which you want to display.', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '3. Then you have to add instates in that region to display details on map for that region.', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '4. Click on "Add Region" button to add regions. then enter its details and save it.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 6 : Display Map on Frontend', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. To show these all map’s on any page or post just copy the shortcode which shows top right side while you creating maps.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 7 : Display Map by "Widget"', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( '1. Go to Apperence->Widgets->Advance Google Map Lite, Select it or put it into widget section.', WL_AGM_LITE_DOMAIN ) ?></p>
					<p><?php esc_html_e( '2. Configure it by selecting map type, Select which any may that you want to display in widget section.', WL_AGM_LITE_DOMAIN ) ?></p>
					<br>
					<h4 class="title"><?php esc_html_e( 'Step 8 : Help & Support', WL_AGM_LITE_DOMAIN ) ?></h4>
					<p><?php esc_html_e( 'If you face any trouble OR required any assistance to set up and configure the plugin, please post your query on Support Forum. We will try our best to resolve our query on the forum.', WL_AGM_LITE_DOMAIN ) ?></p>
		        </div>
		    </div>

		    <div class="wl-agm_settings col-md-3">
		    	<div class="col-md-12 col-xs-12 wl-agm-setting-title">
		            <div class="product_name wl-agm-title-setting"><a class="wl-agm-anch" target="_blank" href="#"><?php esc_html_e( 'Buy Now $11', WL_AGM_LITE_DOMAIN ) ?></a></div>
		        </div>
		        <div class="col-md-12 col-xs-12 wl_agm_steps">
		        	<img class="wl_agm_banner img-responsive" src="<?php echo WL_AGM_LITE_PLUGIN_URL ?>admin/image/banner.jpg">
		        </div>
		    </div>
	    </div>
	</div>
	<!-- end help -->
</div>
