<?php
defined( 'ABSPATH' ) or die();
require_once( WL_AGM_LITE_PLUGIN_DIR_PATH . 'admin/inc/helpers/WL_AGM_LITE_Helper.php' );
?>
<div class="container-fluid wl_agm_container">
    <!-- row 1 -->
    <div class="product_header wl-agm_plugin_top col-md-12">
        <div class="col-md-8 col-xs-6 product_header_desc">
            <div class="product_name wl-agm-title-plugin"><?php esc_html_e( 'IS-Google Maps Lite', WL_AGM_LITE_DOMAIN ) ?>
                <span class="fc-badge"><?php echo esc_html( WL_AGM_LITE_Helper::get_plugin_version() ); ?></span></div>
        </div>
        <div class="col-sm-4 col-xs-6 social_media_area float-right">
            <div class="social-media-links text-right">
                <a href="" target="_blank"><i class="fas fa-info-circle fc-label-info" aria-hidden="true"></i></a>
                <a href="" target="_blank"><i class="fas fa-video fc-label-warning" aria-hidden="true"></i></a>
                <a href="" target="_blank"><i class="fas fa-book fc-label-danger" aria-hidden="true"></i></a>
            </div>
        </div>
    </div>
    <!-- end - row 1 -->
    <div id="dashboard_cards">
        <div class="row">
            <div class="col-sm-6 col-md-4 col-lg-3 mt-4">
                <div class="card">
                    <div class="box">
                        <div class="counter btn-floating">
                            <span class="count text-bold text-center">
                              <?php if ( wp_count_posts( 'wl_agm_locations' )->publish ) {
        	                      echo wp_count_posts( 'wl_agm_locations' )->publish;
                              } else {
        	                      echo esc_html('0');
                              }
                              ?>
                            </span>
                        </div>
                        <h2><?php esc_html_e( 'Location Maps', WL_AGM_LITE_DOMAIN ) ?></h2>
                        <a href="<?php echo esc_url(admin_url()); ?>post-new.php?post_type=wl_agm_locations"
                           class="btn blue-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Add', WL_AGM_LITE_DOMAIN ) ?></a>
                        <a href="<?php echo esc_url(admin_url()); ?>edit.php?post_type=wl_agm_locations"
                           class="btn orange-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Manage', WL_AGM_LITE_DOMAIN ) ?></a>
                        <hr>
						<?php if ( WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_locations' ) ) { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php echo WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_locations' ); ?></span>
                            </p>
						<?php } else { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php esc_html_e( 'No Last Update', WL_AGM_LITE_DOMAIN ) ?></span></p>
						<?php } ?>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4 col-lg-3 mt-4">
                <div class="card">
                    <div class="box">
                        <div class="counter btn-floating">
                    <span class="count text-bold text-center">
                      <?php if ( wp_count_posts( 'wl_agm_maps' )->publish ) {
	                      echo wp_count_posts( 'wl_agm_maps' )->publish;
                      } else {
	                      echo esc_html('0');
                      }
                      ?>
                    </span>
                        </div>
                        <h2><?php esc_html_e( 'Multiple Location Maps', WL_AGM_LITE_DOMAIN ) ?></h2>
                        <p></p>
                        <a href="<?php echo esc_url(admin_url()); ?>post-new.php?post_type=wl_agm_maps"
                           class="btn blue-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Add', WL_AGM_LITE_DOMAIN ) ?></a>
                        <a href="<?php echo esc_url(admin_url()); ?>edit.php?post_type=wl_agm_maps"
                           class="btn orange-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Manage', WL_AGM_LITE_DOMAIN ) ?></a>
                        <hr>
						<?php if ( WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_maps' ) ) { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php echo WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_maps' ); ?></span></p>
						<?php } else { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php esc_html_e( 'No Last Update', WL_AGM_LITE_DOMAIN ) ?></span>
                            </p>
						<?php } ?>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4 col-lg-3 mt-4">
                <div class="card">
                    <div class="box">
                        <div class="counter btn-floating">
                    <span class="count text-bold text-center">
                      <?php if ( wp_count_posts( 'wl_agm_routes' )->publish ) {
	                      echo wp_count_posts( 'wl_agm_routes' )->publish;
                      } else {
	                      echo esc_html('0');
                      }
                      ?>
                    </span>
                        </div>
                        <h2><?php esc_html_e( 'Route Maps', WL_AGM_LITE_DOMAIN ) ?></h2>
                        <p></p>
                        <a href="<?php echo esc_url(admin_url()); ?>post-new.php?post_type=wl_agm_routes"
                           class="btn blue-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Add', WL_AGM_LITE_DOMAIN ) ?></a>
                        <a href="<?php echo esc_url(admin_url()); ?>edit.php?post_type=wl_agm_routes"
                           class="btn orange-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Manage', WL_AGM_LITE_DOMAIN ) ?></a>
                        <hr>
						<?php if ( WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_routes' ) ) { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php echo WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_routes' ); ?></span></p>
						<?php } else { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php esc_html_e( 'No Last Update', WL_AGM_LITE_DOMAIN ) ?></span></p>
						<?php } ?>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4 col-lg-3 mt-4">
                <div class="card">
                    <div class="box">
                        <div class="counter btn-floating">
                    <span class="count text-bold text-center">
                      <?php if ( wp_count_posts( 'wl_agm_inter_maps' )->publish ) {
	                      echo wp_count_posts( 'wl_agm_inter_maps' )->publish;
                      } else {
	                      echo esc_html('0');
                      }
                      ?>
                    </span>
                        </div>
                        <h2><?php esc_html_e( 'Interactive Maps', WL_AGM_LITE_DOMAIN ) ?></h2>
                        <p></p>
                        <a href="<?php echo esc_url(admin_url()); ?>post-new.php?post_type=wl_agm_inter_maps"
                           class="btn blue-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Add', WL_AGM_LITE_DOMAIN ) ?></a>
                        <a href="<?php echo esc_url(admin_url()); ?>edit.php?post_type=wl_agm_inter_maps"
                           class="btn orange-gradient-cstm btn-sm btn-floating waves-effect"><?php esc_html_e( 'Manage', WL_AGM_LITE_DOMAIN ) ?></a>
                        <hr>
						<?php if ( WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_inter_maps' ) ) { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php echo WL_AGM_LITE_Helper::get_last_updated_time( 'wl_agm_inter_maps' ); ?></span>
                            </p>
						<?php } else { ?>
                            <p class="last_update_agm"><?php esc_html_e( 'Last Updated', WL_AGM_LITE_DOMAIN ) ?>:-
                                <span><?php esc_html_e( 'No Last Updates', WL_AGM_LITE_DOMAIN ) ?></span></p>
						<?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 pro_banner">    
            <div class="col-md-12 col-xs-12 wl-agm-setting-title">
                <div class="product_name wl-agm-title-setting"><?php esc_html_e( 'Get Pro Plugin', WL_AGM_LITE_DOMAIN ) ?></div>
            </div>
            <div class="row">
                <div class="col-md-6 col-xs-12 wl-agm-banner-image">
                    <img src="<?php echo WL_AGM_LITE_PLUGIN_URL ?>admin/image/banner_1.jpg" class="img-fluid">
                </div>
                <div class="col-md-6 col-xs-12 wl-agm-banner-text text-left">
                    <h1><?php esc_html_e('Advanced Google Map', WL_AGM_LITE_DOMAIN ); ?></h1>
                    <p><?php esc_html_e('A WordPress Plugin that renders Smooth Open street Maps over WordPress Page/Post using the easy short-code. Additionally, there are other awesome features like Map Styles, Direction Map, Custom marker Location etc. The maps that you add to the page can be customized with ease. Some of the customization that you can carry out using this responsive plugin. There is an awesome collection of user-friendly Short-codes to add unlimited locations by address or latitude and longitude' , WL_AGM_LITE_DOMAIN ); ?></p>
                    <a class="btn btn-success custom_btn_wl_agm" href="#"><?php esc_html_e('Buy Now', WL_AGM_LITE_DOMAIN ); ?></a>
                    <a class="btn btn-success custom_btn_wl_agm" href="#"><?php esc_html_e('Demo', WL_AGM_LITE_DOMAIN ); ?></a>
                </div>
            </div>
        </div>
    </div>
</div>
